GNU bug report logs - #45812
28.0.50; [native-comp] compilation hangs on file

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Erik Hetzner <egh@HIDDEN>; Keywords: confirmed; Done: Andrea Corallo <akrl@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 45812-done <at> debbugs.gnu.org:


Received: (at 45812-done) by debbugs.gnu.org; 20 Jan 2021 17:21:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 20 12:21:27 2021
Received: from localhost ([127.0.0.1]:56185 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l2HAc-0004dr-R2
	for submit <at> debbugs.gnu.org; Wed, 20 Jan 2021 12:21:27 -0500
Received: from mx.sdf.org ([205.166.94.24]:51816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1l2HAa-0004dg-7F
 for 45812-done <at> debbugs.gnu.org; Wed, 20 Jan 2021 12:21:25 -0500
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 10KHLK15013229
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Wed, 20 Jan 2021 17:21:20 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Erik Hetzner <egh@HIDDEN>
Subject: Re: bug#45812: 28.0.50; [native-comp] compilation hangs on file
References: <5ffd3ca2.1c69fb81.f08fa.4bb8@HIDDEN>
 <xjf8s8xdgm6.fsf@HIDDEN> <xjfzh15yjmd.fsf@HIDDEN>
 <xjfr1mgy6qr.fsf@HIDDEN> <600861b9.1c69fb81.4b352.6b83@HIDDEN>
Date: Wed, 20 Jan 2021 17:21:20 +0000
In-Reply-To: <600861b9.1c69fb81.4b352.6b83@HIDDEN> (Erik Hetzner's
 message of "Wed, 20 Jan 2021 09:00:40 -0800")
Message-ID: <xjfmtx3y167.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 45812-done
Cc: "akrl--- via Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>, 45812-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Erik Hetzner <egh@HIDDEN> writes:

> Hi Andrea,
>
> Works for me too! Thank you again for all your work.

Sweeeeet! :)

Thank you for reporting, closing

  Andrea




Notification sent to Erik Hetzner <egh@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Andrea Corallo <akrl@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Jan 2021 17:21:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 20 12:21:41 2021
Received: from localhost ([127.0.0.1]:56188 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l2HAr-0004eJ-2Z
	for submit <at> debbugs.gnu.org; Wed, 20 Jan 2021 12:21:41 -0500
Received: from lists.gnu.org ([209.51.188.17]:48806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1l2HAo-0004eB-MA
 for submit <at> debbugs.gnu.org; Wed, 20 Jan 2021 12:21:39 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:47480)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1l2HAo-0007NT-Go
 for bug-gnu-emacs@HIDDEN; Wed, 20 Jan 2021 12:21:38 -0500
Received: from mx.sdf.org ([205.166.94.24]:51808)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1l2HAm-0000HC-9Y
 for bug-gnu-emacs@HIDDEN; Wed, 20 Jan 2021 12:21:38 -0500
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 10KHLK15013229
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Wed, 20 Jan 2021 17:21:20 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Erik Hetzner <egh@HIDDEN>
Subject: Re: bug#45812: 28.0.50; [native-comp] compilation hangs on file
References: <5ffd3ca2.1c69fb81.f08fa.4bb8@HIDDEN>
 <xjf8s8xdgm6.fsf@HIDDEN> <xjfzh15yjmd.fsf@HIDDEN>
 <xjfr1mgy6qr.fsf@HIDDEN> <600861b9.1c69fb81.4b352.6b83@HIDDEN>
Date: Wed, 20 Jan 2021 17:21:20 +0000
In-Reply-To: <600861b9.1c69fb81.4b352.6b83@HIDDEN> (Erik Hetzner's
 message of "Wed, 20 Jan 2021 09:00:40 -0800")
Message-ID: <xjfmtx3y167.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=205.166.94.24; envelope-from=akrl@HIDDEN;
 helo=mx.sdf.org
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: submit
Cc: "akrl--- via Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>, 45812-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

Erik Hetzner <egh@HIDDEN> writes:

> Hi Andrea,
>
> Works for me too! Thank you again for all your work.

Sweeeeet! :)

Thank you for reporting, closing

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45812; Package emacs. Full text available.

Message received at 45812 <at> debbugs.gnu.org:


Received: (at 45812) by debbugs.gnu.org; 20 Jan 2021 17:00:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 20 12:00:54 2021
Received: from localhost ([127.0.0.1]:56090 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l2Gqj-0000f3-Ot
	for submit <at> debbugs.gnu.org; Wed, 20 Jan 2021 12:00:53 -0500
Received: from mail-pl1-f169.google.com ([209.85.214.169]:34169)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ehetzner@HIDDEN>) id 1l2Gqe-0000VP-W6
 for 45812 <at> debbugs.gnu.org; Wed, 20 Jan 2021 12:00:52 -0500
Received: by mail-pl1-f169.google.com with SMTP id t6so12845600plq.1
 for <45812 <at> debbugs.gnu.org>; Wed, 20 Jan 2021 09:00:48 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=message-id:sender:date:from:to:cc:subject:in-reply-to:references
 :user-agent:reply-to:mime-version;
 bh=vcTDmeVdhVsLFs4RYtPAd47gBdAjgJbS4ZVf2mnAcW8=;
 b=Ov9MtoWCToFiaOwt/3wPOuPD14UMmMnqEYxAz/ASV7ebsRS9vyPg/G2GTxL74Tq+s8
 yWSMEmleWbsvQ94fm21kDe6ydcM4iTSzXjlEgEJQokPCVDGUiSSJz40jlR7wqazpLbwo
 p3j3NwfJSLHajGkHaS5ZFYxwj2jLursUuH0ZL2T8ks2Vb7fWKdw02L119A2oYZB6mKKD
 VXGRhM6kcLNZzz0pX9pZFUdqFYnlfNj5BuhP0sg0KDlUkBByZPsWPr4k0rhxBJRWkB8L
 VfGZhkJVirUaRHsA4ZTh8H9CUFCvWtVsndPfHwFt8cvr8qlGGXMfDQ/DhYHWJzMP5lbz
 d2xw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:sender:date:from:to:cc:subject
 :in-reply-to:references:user-agent:reply-to:mime-version;
 bh=vcTDmeVdhVsLFs4RYtPAd47gBdAjgJbS4ZVf2mnAcW8=;
 b=PHudqoA/1h+pEMey7v2tSLQG7vcsH922bKed2gDlieI0D60taVh+7+ueYOKA31p7Zi
 yhZgJiHx+K7ojNwzRww/ke8zqZ87W893Hqe+wl1wCtlluTOF7aFUcVKLeTt4xDri5Mh3
 b6gtoV5C4LZoyt45dMsbVnyV9glVTh3GYixU6nDY4lEbCOagJtJ9EQT6xmDpzoBXm8Qt
 ojpWxFPXNGHHhddXJzwn4GttiVzCLgYZgV2PVc45RtRUtrpYzpt6OSC5/WGDvR/+ZGEL
 rdAr3ed3R4r6nXsaS1bvT9FwfxeyRdBxr2bkwGpHZ6rtMfKsg0uTN2RpCLJADHiHrAKx
 uTvw==
X-Gm-Message-State: AOAM531kYuxzQKXKPS0REOw9IxL6n0SZdgt2lezjn3PDv+v2VcK+YSeK
 Q8NoAldor1LS+uMXAPJ95Uw=
X-Google-Smtp-Source: ABdhPJwYFazZ2VfJjzk3mmi7rM0ilr3IwVSjNKh1j/H4Iabj834BG4tOfnZ/TpgyntazgpnEPUds+A==
X-Received: by 2002:a17:90a:2f44:: with SMTP id
 s62mr6637425pjd.182.1611162043075; 
 Wed, 20 Jan 2021 09:00:43 -0800 (PST)
Received: from michel.e6h.org ([76.126.215.191])
 by smtp.gmail.com with ESMTPSA id d11sm2985335pjz.29.2021.01.20.09.00.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 20 Jan 2021 09:00:41 -0800 (PST)
Message-ID: <600861b9.1c69fb81.4b352.6b83@HIDDEN>
Date: Wed, 20 Jan 2021 09:00:40 -0800
From: Erik Hetzner <egh@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#45812: 28.0.50; [native-comp] compilation hangs on file
In-Reply-To: <xjfr1mgy6qr.fsf@HIDDEN>
References: <5ffd3ca2.1c69fb81.f08fa.4bb8@HIDDEN>
 <xjf8s8xdgm6.fsf@HIDDEN> <xjfzh15yjmd.fsf@HIDDEN>
 <xjfr1mgy6qr.fsf@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM-LB/1.14.9 (=?UTF-8?B?R29qxY0=?=) APEL-LB/10.8 EasyPG/1.0.0
 Emacs/28.0.50 (x86_64-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=US-ASCII
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 45812
Cc: "akrl--- via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>,
 45812 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Erik Hetzner <egh@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Hi Andrea,

Works for me too! Thank you again for all your work.

best, Erik

On Tue, 19 Jan 2021 13:08:44 -0800,
Andrea Corallo <akrl@HIDDEN> wrote:
> 
> Hi Erik,
> 
> as of 0ffb3dfaa4 I'm now able to compile mel-q-ccl.el.
> 
> Please have a look if you can reproduce this success of engineering :) or
> I'm missing something.
> 
> Thanks
> 
>   Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45812; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Jan 2021 17:01:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 20 12:01:00 2021
Received: from localhost ([127.0.0.1]:56093 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l2Gqq-0000lx-1G
	for submit <at> debbugs.gnu.org; Wed, 20 Jan 2021 12:01:00 -0500
Received: from lists.gnu.org ([209.51.188.17]:40216)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ehetzner@HIDDEN>) id 1l2Gqn-0000jm-Sr
 for submit <at> debbugs.gnu.org; Wed, 20 Jan 2021 12:00:58 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:42452)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ehetzner@HIDDEN>)
 id 1l2Gqk-0006g1-Q3
 for bug-gnu-emacs@HIDDEN; Wed, 20 Jan 2021 12:00:57 -0500
Received: from mail-pl1-x62d.google.com ([2607:f8b0:4864:20::62d]:41980)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <ehetzner@HIDDEN>)
 id 1l2Gqg-00022u-3i
 for bug-gnu-emacs@HIDDEN; Wed, 20 Jan 2021 12:00:51 -0500
Received: by mail-pl1-x62d.google.com with SMTP id y8so12835355plp.8
 for <bug-gnu-emacs@HIDDEN>; Wed, 20 Jan 2021 09:00:44 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=message-id:sender:date:from:to:cc:subject:in-reply-to:references
 :user-agent:reply-to:mime-version;
 bh=vcTDmeVdhVsLFs4RYtPAd47gBdAjgJbS4ZVf2mnAcW8=;
 b=Ov9MtoWCToFiaOwt/3wPOuPD14UMmMnqEYxAz/ASV7ebsRS9vyPg/G2GTxL74Tq+s8
 yWSMEmleWbsvQ94fm21kDe6ydcM4iTSzXjlEgEJQokPCVDGUiSSJz40jlR7wqazpLbwo
 p3j3NwfJSLHajGkHaS5ZFYxwj2jLursUuH0ZL2T8ks2Vb7fWKdw02L119A2oYZB6mKKD
 VXGRhM6kcLNZzz0pX9pZFUdqFYnlfNj5BuhP0sg0KDlUkBByZPsWPr4k0rhxBJRWkB8L
 VfGZhkJVirUaRHsA4ZTh8H9CUFCvWtVsndPfHwFt8cvr8qlGGXMfDQ/DhYHWJzMP5lbz
 d2xw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:sender:date:from:to:cc:subject
 :in-reply-to:references:user-agent:reply-to:mime-version;
 bh=vcTDmeVdhVsLFs4RYtPAd47gBdAjgJbS4ZVf2mnAcW8=;
 b=NU0W3g+VO0aC0JFa7myrxT2R2wVsqN+qcwaXl8lDfnTmD7/qr0wSr7+hiB2Z/UoExO
 3V4uGtfAWQLAA1P1QNdTyz9Bg10UjgUHUUf9NmN8mCzR7VE/ONm7FusTU62F8aAxurPJ
 OVxIgpgGAOLdxdcl2lzqc8P2jWM0626UXrVoUHm+GN/Qud2fXxN/3E0U6ly9lIYR5I4n
 MFGb36NREhrHjyu31zkzydj94wN0n8tOts2UW/b7hpCUxPtZz61vN9SvlNfXwgrjxPDZ
 fJKgdQcjeooJvNydFOqMomNLEw9ssD6SRTDuAYgjact5+pveLi60Kn2/rcnyzrWDnHPN
 G70Q==
X-Gm-Message-State: AOAM531HODgZlDIlYMYd6zU5SgT26oPZtOqxSMw4vLXRvoLYTwOuH9Bz
 kb8s9xshM6aIL8Xb2qRJcdc=
X-Google-Smtp-Source: ABdhPJwYFazZ2VfJjzk3mmi7rM0ilr3IwVSjNKh1j/H4Iabj834BG4tOfnZ/TpgyntazgpnEPUds+A==
X-Received: by 2002:a17:90a:2f44:: with SMTP id
 s62mr6637425pjd.182.1611162043075; 
 Wed, 20 Jan 2021 09:00:43 -0800 (PST)
Received: from michel.e6h.org ([76.126.215.191])
 by smtp.gmail.com with ESMTPSA id d11sm2985335pjz.29.2021.01.20.09.00.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 20 Jan 2021 09:00:41 -0800 (PST)
Message-ID: <600861b9.1c69fb81.4b352.6b83@HIDDEN>
Date: Wed, 20 Jan 2021 09:00:40 -0800
From: Erik Hetzner <egh@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#45812: 28.0.50; [native-comp] compilation hangs on file
In-Reply-To: <xjfr1mgy6qr.fsf@HIDDEN>
References: <5ffd3ca2.1c69fb81.f08fa.4bb8@HIDDEN>
 <xjf8s8xdgm6.fsf@HIDDEN> <xjfzh15yjmd.fsf@HIDDEN>
 <xjfr1mgy6qr.fsf@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM-LB/1.14.9 (=?UTF-8?B?R29qxY0=?=) APEL-LB/10.8 EasyPG/1.0.0
 Emacs/28.0.50 (x86_64-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=US-ASCII
Received-SPF: pass client-ip=2607:f8b0:4864:20::62d;
 envelope-from=ehetzner@HIDDEN; helo=mail-pl1-x62d.google.com
X-Spam_score_int: -14
X-Spam_score: -1.5
X-Spam_bar: -
X-Spam_report: (-1.5 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FORGED_FROMDOMAIN=0.248,
 FREEMAIL_FROM=0.001, HEADER_FROM_DIFFERENT_DOMAINS=0.248,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
Cc: "akrl--- via Bug reports for GNU Emacs,
 the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>,
 45812 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Erik Hetzner <egh@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

Hi Andrea,

Works for me too! Thank you again for all your work.

best, Erik

On Tue, 19 Jan 2021 13:08:44 -0800,
Andrea Corallo <akrl@HIDDEN> wrote:
> 
> Hi Erik,
> 
> as of 0ffb3dfaa4 I'm now able to compile mel-q-ccl.el.
> 
> Please have a look if you can reproduce this success of engineering :) or
> I'm missing something.
> 
> Thanks
> 
>   Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45812; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Jan 2021 21:09:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 16:09:03 2021
Received: from localhost ([127.0.0.1]:51921 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1yFL-0005L8-Fc
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 16:09:03 -0500
Received: from lists.gnu.org ([209.51.188.17]:43054)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1l1yFH-0005KZ-Mq
 for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 16:09:02 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:35324)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1l1yFG-0000SU-Vn
 for bug-gnu-emacs@HIDDEN; Tue, 19 Jan 2021 16:08:59 -0500
Received: from mx.sdf.org ([205.166.94.24]:55140)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1l1yFE-0005hT-7x
 for bug-gnu-emacs@HIDDEN; Tue, 19 Jan 2021 16:08:58 -0500
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 10JL8iOu020314
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Tue, 19 Jan 2021 21:08:45 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: akrl--- via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#45812: 28.0.50; [native-comp] compilation hangs on file
References: <5ffd3ca2.1c69fb81.f08fa.4bb8@HIDDEN>
 <xjf8s8xdgm6.fsf@HIDDEN> <xjfzh15yjmd.fsf@HIDDEN>
Date: Tue, 19 Jan 2021 21:08:44 +0000
In-Reply-To: <xjfzh15yjmd.fsf@HIDDEN> (akrl's message of "Mon, 18 Jan 2021
 22:18:18 +0000")
Message-ID: <xjfr1mgy6qr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=205.166.94.24; envelope-from=akrl@HIDDEN;
 helo=mx.sdf.org
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Erik Hetzner <egh@HIDDEN>, 45812 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hi Erik,

as of 0ffb3dfaa4 I'm now able to compile mel-q-ccl.el.

Please have a look if you can reproduce this success of engineering :) or
I'm missing something.

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45812; Package emacs. Full text available.

Message received at 45812 <at> debbugs.gnu.org:


Received: (at 45812) by debbugs.gnu.org; 19 Jan 2021 21:08:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 16:08:48 2021
Received: from localhost ([127.0.0.1]:51917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1yF5-0005KF-OO
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 16:08:48 -0500
Received: from mx.sdf.org ([205.166.94.24]:55154)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1l1yF4-0005K7-8b
 for 45812 <at> debbugs.gnu.org; Tue, 19 Jan 2021 16:08:46 -0500
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 10JL8iOu020314
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Tue, 19 Jan 2021 21:08:45 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: akrl--- via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#45812: 28.0.50; [native-comp] compilation hangs on file
References: <5ffd3ca2.1c69fb81.f08fa.4bb8@HIDDEN>
 <xjf8s8xdgm6.fsf@HIDDEN> <xjfzh15yjmd.fsf@HIDDEN>
Date: Tue, 19 Jan 2021 21:08:44 +0000
In-Reply-To: <xjfzh15yjmd.fsf@HIDDEN> (akrl's message of "Mon, 18 Jan 2021
 22:18:18 +0000")
Message-ID: <xjfr1mgy6qr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 45812
Cc: Erik Hetzner <egh@HIDDEN>, 45812 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Erik,

as of 0ffb3dfaa4 I'm now able to compile mel-q-ccl.el.

Please have a look if you can reproduce this success of engineering :) or
I'm missing something.

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45812; Package emacs. Full text available.

Message received at 45812 <at> debbugs.gnu.org:


Received: (at 45812) by debbugs.gnu.org; 18 Jan 2021 22:18:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 18 17:18:24 2021
Received: from localhost ([127.0.0.1]:48632 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1cqu-00015M-5O
	for submit <at> debbugs.gnu.org; Mon, 18 Jan 2021 17:18:24 -0500
Received: from mx.sdf.org ([205.166.94.24]:54885)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1l1cqs-000159-3w
 for 45812 <at> debbugs.gnu.org; Mon, 18 Jan 2021 17:18:22 -0500
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 10IMIIjs026159
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Mon, 18 Jan 2021 22:18:18 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Erik Hetzner <egh@HIDDEN>
Subject: Re: bug#45812: 28.0.50; [native-comp] compilation hangs on file
References: <5ffd3ca2.1c69fb81.f08fa.4bb8@HIDDEN>
 <xjf8s8xdgm6.fsf@HIDDEN>
Date: Mon, 18 Jan 2021 22:18:18 +0000
In-Reply-To: <xjf8s8xdgm6.fsf@HIDDEN> (Andrea Corallo via's message of "Tue, 
 12 Jan 2021 20:50:41 +0000")
Message-ID: <xjfzh15yjmd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 45812
Cc: 45812 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Okay I think this is a different signature but same bug of bug#45751.
I've a raw patch that seems to fix both.  I'll push it tomorrow or
after when polished.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45812; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Andrea Corallo <akrl@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45812 <at> debbugs.gnu.org:


Received: (at 45812) by debbugs.gnu.org; 12 Jan 2021 20:50:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 15:50:45 2021
Received: from localhost ([127.0.0.1]:33403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzQcn-0002sC-KO
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:50:45 -0500
Received: from mx.sdf.org ([205.166.94.24]:63960)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kzQcm-0002s3-0l
 for 45812 <at> debbugs.gnu.org; Tue, 12 Jan 2021 15:50:44 -0500
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTP id 10CKoftn000293;
 Tue, 12 Jan 2021 20:50:42 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Erik Hetzner <egh@HIDDEN>
Subject: Re: bug#45812: 28.0.50; [native-comp] compilation hangs on file
References: <5ffd3ca2.1c69fb81.f08fa.4bb8@HIDDEN>
Date: Tue, 12 Jan 2021 20:50:41 +0000
In-Reply-To: <5ffd3ca2.1c69fb81.f08fa.4bb8@HIDDEN> (Erik Hetzner's
 message of "Mon, 11 Jan 2021 22:07:28 -0800")
Message-ID: <xjf8s8xdgm6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 45812
Cc: 45812 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

tags 45812 confirmed
thanks

Erik Hetzner <egh@HIDDEN> writes:

> Hi all,
>
> When native compiling the file `mel-q-ccl.el` in the flim project, emacs hangs. This is with the most recent version of the feature/native-comp branch.
>
> Steps to reproduce:
>
> 1. git clone git@HIDDEN:wanderlust/apel.git
> 2. git clone git@HIDDEN:wanderlust/flim.git
> 3. emacs -Q --batch --eval "(progn (add-to-list 'load-path (expand-file-name \"apel\")) (add-to-list 'load-path (expand-file-name \"flim\")) (native-compile (expand-file-name \"flim/mel-q-ccl.el\")))"
>
> best, Erik Hetzner

Hi Erik,

thanks for reporting I can reproduce, will have a look.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45812; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2021 06:07:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 01:07:41 2021
Received: from localhost ([127.0.0.1]:59085 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzCqB-00079g-Vo
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 01:07:41 -0500
Received: from lists.gnu.org ([209.51.188.17]:58176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ehetzner@HIDDEN>) id 1kzCq8-00079V-Rq
 for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 01:07:39 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:44586)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ehetzner@HIDDEN>)
 id 1kzCq8-0007Nh-NA
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 01:07:36 -0500
Received: from mail-pl1-x633.google.com ([2607:f8b0:4864:20::633]:45217)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <ehetzner@HIDDEN>)
 id 1kzCq5-0003lt-MK
 for bug-gnu-emacs@HIDDEN; Tue, 12 Jan 2021 01:07:36 -0500
Received: by mail-pl1-x633.google.com with SMTP id b8so348503plh.12
 for <bug-gnu-emacs@HIDDEN>; Mon, 11 Jan 2021 22:07:32 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=message-id:sender:date:from:to:subject:user-agent:reply-to
 :mime-version; bh=FgMfdzu3ReptW+yN9JFeaCEN/0NoKfSthZx93pvJrrU=;
 b=L53vO7koKqVm2dQIKCmM6IvcxyrjqHJmcqxhKkR/yUNLjF1Gwkc+Bi6bLRnzpQM9oc
 uWfR24m3Muhkdvjcvtiw0GZfbY+2Yf6EDOaaRWXQxTd7dyt5MZ4ISt/WbdgdSWOrz1K5
 cfOlanM5xyp/C9lDfkHyOI026iPjwokkzRk2/yWIVcPUCKOVmPUdpX3GeNwv3R6qSxut
 b8yNFTlb2b8Evjj6c/1rvxLQ5siT5KHUZu7kMOTCorMnwKx3BXvYGMHM3DE8jiZyxeeH
 cRMruhY5Q+Lvyux9wmAbjWHucjD42fnxuKmNH+9jKSWsQNAwUIiT10GxR6fwUhVfHE9Q
 2Iyg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:sender:date:from:to:subject
 :user-agent:reply-to:mime-version;
 bh=FgMfdzu3ReptW+yN9JFeaCEN/0NoKfSthZx93pvJrrU=;
 b=TxDPK9xNIO2EAYQtOpuVIDVw60svnqpMLkGiHPGIcgdGe9/7s9ayyMEhxZe2Mmx4x4
 qBmUhttA+8cW6ATxfBXT0QTWvfdZLngphDUTLG3YC+Cui33SxQjP05C31oSKJP3sc7Ft
 dHBQDCNXYeVnTsneqbCDQaJesAtCxdLXBx47d/2kb3jMyUME1hhNeNnNRihZrthkhJTv
 eKqP0hKnIFJ65aGavAZk69DbUqRo/f81XdqgOMwkUpdI0Pw3qDpOtSOj6nZLjXflorkI
 IeF3a8AYhKQNuvh51IAkYwR/91dnlip+c+WE/T2O36anuYgBDaAIvN13C/LNIPyDkAEu
 tJOQ==
X-Gm-Message-State: AOAM533zqxjyxoHgH/3KUgf7AnHpYZ6hq40JyYv5eP/+a1voo+6ZqlJ/
 j+Rsvrx26bUUU2NoWKWAdk9/bP3oZOeKFA==
X-Google-Smtp-Source: ABdhPJwFINNCpimFi0S3sGmgFvySnkDM6+LyRnMZfKcQCSLqdZz/5JZc5zQdQzrHIodbgauAWr1ejA==
X-Received: by 2002:a17:902:f543:b029:de:1c6a:b780 with SMTP id
 h3-20020a170902f543b02900de1c6ab780mr1127635plf.81.1610431650710; 
 Mon, 11 Jan 2021 22:07:30 -0800 (PST)
Received: from michel.e6h.org ([2601:643:8800:ce9:3966:2bb6:7784:e21a])
 by smtp.gmail.com with ESMTPSA id z3sm1974468pgs.61.2021.01.11.22.07.29
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 11 Jan 2021 22:07:30 -0800 (PST)
Message-ID: <5ffd3ca2.1c69fb81.f08fa.4bb8@HIDDEN>
Date: Mon, 11 Jan 2021 22:07:28 -0800
From: Erik Hetzner <egh@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; [native-comp] compilation hangs on file
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM-LB/1.14.9 (=?UTF-8?B?R29qxY0=?=) APEL-LB/10.8 EasyPG/1.0.0
 Emacs/28.0.50 (x86_64-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=US-ASCII
Received-SPF: pass client-ip=2607:f8b0:4864:20::633;
 envelope-from=ehetzner@HIDDEN; helo=mail-pl1-x633.google.com
X-Spam_score_int: -14
X-Spam_score: -1.5
X-Spam_bar: -
X-Spam_report: (-1.5 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FORGED_FROMDOMAIN=0.248,
 FREEMAIL_FROM=0.001, HEADER_FROM_DIFFERENT_DOMAINS=0.249,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Erik Hetzner <egh@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

Hi all,

When native compiling the file `mel-q-ccl.el` in the flim project, emacs hangs. This is with the most recent version of the feature/native-comp branch.

Steps to reproduce:

1. git clone git@HIDDEN:wanderlust/apel.git
2. git clone git@HIDDEN:wanderlust/flim.git
3. emacs -Q --batch --eval "(progn (add-to-list 'load-path (expand-file-name \"apel\")) (add-to-list 'load-path (expand-file-name \"flim\")) (native-compile (expand-file-name \"flim/mel-q-ccl.el\")))"

best, Erik Hetzner

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.24, cairo version 1.16.0)
 of 2021-01-10 built on michel
Repository revision: 42ff68ec2f1149704da59fd692fafb095a44cce2
Repository branch: feature/native-comp
Windowing system distributor 'The X.Org Foundation', version 11.0.12010000
System Description: Debian GNU/Linux bullseye/sid

Configured using:
 'configure --prefix=/usr/local/stow/emacs-42ff68 --with-nativecomp'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT
LIBOTF ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES NATIVE_COMP
THREADS LIBSYSTEMD JSON PDUMPER LCMS2

Important settings:
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8

Major mode: Lisp Interaction

Minor modes in effect:
  feebleline-mode: t
  which-key-mode: t
  super-save-mode: t
  global-smart-shift-mode: t
  smart-shift-mode: t
  selectrum-prescient-mode: t
  save-place-mode: t
  savehist-mode: t
  global-rbenv-mode: t
  rainbow-delimiters-mode: t
  pdf-occur-global-minor-mode: t
  show-paren-mode: t
  magit-auto-revert-mode: t
  global-git-commit-mode: t
  goto-address-prog-mode: t
  dap-tooltip-mode: t
  dap-ui-mode: t
  treemacs-filewatch-mode: t
  treemacs-follow-mode: t
  treemacs-git-mode: deferred
  treemacs-fringe-indicator-mode: t
  dap-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  global-hungry-delete-mode: t
  hungry-delete-mode: t
  gcmh-mode: t
  flyspell-mode: t
  flycheck-pos-tip-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  global-emojify-mode: t
  emojify-mode: t
  editorconfig-mode: t
  display-line-numbers-mode: t
  global-company-mode: t
  company-mode: t
  projectile-mode: t
  global-atomic-chrome-edit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  override-global-mode: t
  ctrlf-mode: t
  ctrlf-local-mode: t
  selectrum-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  window-divider-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/egh/.emacs.d/elpa-28/magit-20210105.1030/magit-section hides /home/egh/.emacs.d/elpa-28/magit-section-20210103.1631/magit-section
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-sass hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-sass
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-mouse hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-mouse
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ol-eshell hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ol-eshell
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-tempo hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-tempo
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-duration hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-duration
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-list hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-list
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-archive hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-archive
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-shen hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-shen
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-element hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-element
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ol-w3m hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ol-w3m
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ox-html hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ox-html
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-groovy hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-groovy
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-calc hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-calc
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-processing hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-processing
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-js hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-js
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-refile hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-refile
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-indent hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-indent
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-python hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-python
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-haskell hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-haskell
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ol-mhe hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ol-mhe
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-gnuplot hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-gnuplot
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-faces hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-faces
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ox hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ox
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ol-eww hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ol-eww
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-shell hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-shell
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-fortran hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-fortran
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-colview hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-colview
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-maxima hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-maxima
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ox-texinfo hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ox-texinfo
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-plot hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-plot
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-lilypond hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-lilypond
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-screen hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-screen
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ol-bbdb hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ol-bbdb
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-octave hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-octave
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-scheme hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-scheme
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-ebnf hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-ebnf
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ol-bibtex hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ol-bibtex
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-ctags hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-ctags
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-id hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-id
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-lob hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-lob
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ox-ascii hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ox-ascii
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-ocaml hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-ocaml
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ox-publish hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ox-publish
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-exp hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-exp
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-core hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-core
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-pcomplete hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-pcomplete
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-coq hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-coq
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-lisp hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-lisp
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-num hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-num
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-perl hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-perl
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-matlab hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-matlab
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-dot hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-dot
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-tangle hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-tangle
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-inlinetask hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-inlinetask
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-macro hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-macro
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ol-info hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ol-info
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ox-beamer hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ox-beamer
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-sed hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-sed
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-org hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-org
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-entities hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-entities
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-lint hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-lint
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ol-irc hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ol-irc
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-awk hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-awk
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-vala hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-vala
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-datetree hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-datetree
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-lua hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-lua
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-loaddefs hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-loaddefs
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-io hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-io
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-latex hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-latex
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-table hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-table
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-ruby hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-ruby
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-stan hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-stan
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-attach-git hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-attach-git
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-timer hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-timer
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ox-latex hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ox-latex
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-clock hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-clock
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-protocol hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-protocol
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-forth hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-forth
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-asymptote hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-asymptote
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-abc hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-abc
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-ditaa hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-ditaa
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ox-odt hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ox-odt
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-hledger hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-hledger
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-mscgen hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-mscgen
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-picolisp hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-picolisp
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-comint hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-comint
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-ledger hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-ledger
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-macs hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-macs
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ox-icalendar hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ox-icalendar
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-capture hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-capture
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-css hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-css
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ol-gnus hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ol-gnus
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-R hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-R
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-src hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-src
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-agenda hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-agenda
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ox-org hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ox-org
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-java hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-java
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-emacs-lisp hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-emacs-lisp
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-sql hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-sql
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-habit hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-habit
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-crypt hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-crypt
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-makefile hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-makefile
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-C hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-C
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-attach hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-attach
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ox-md hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ox-md
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-install hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-install
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-keys hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-keys
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-clojure hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-clojure
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-footnote hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-footnote
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-J hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-J
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ol-rmail hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ol-rmail
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-compat hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-compat
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-eval hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-eval
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-ref hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-ref
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-feed hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-feed
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ol-docview hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ol-docview
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-table hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-table
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ox-man hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ox-man
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-plantuml hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-plantuml
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ol hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ol
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-sqlite hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-sqlite
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-mobile hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-mobile
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-version hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-version
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/org-goto hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/org-goto
/home/egh/.emacs.d/elpa-28/org-plus-contrib-20210104/ob-eshell hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/org/ob-eshell
/home/egh/.emacs.d/elpa-28/flim-20201117.825/sasl hides /usr/local/stow/emacs-42ff68/share/emacs/28.0.50/lisp/net/sasl

Features:
(shadow bbdb-wl bbdb-mua bbdb-com modb-standard elmo-maildir utf-7
elmo-imap4 time-stamp ol-wl wl-mu elmo-search elmo-search-local-file
eudcb-ldap ldap eudc eudc-options-file eudc-vars bbdb bbdb-site
emacsbug char-fold feebleline leuven-theme org-zotxt zotxt wl-fldmgr
wl-template wl-demo wl-thread wl-action wl wl-draft wl-folder
elmo-nntp elmo-net elmo-cache elmo-map elmo-dop elmo-filter wl-summary
wl-refile wl-message wl-mime mime-play filename mime-edit sendmail
mime-setup mail-mime-setup semi-setup mime-image wl-e21 wl-highlight
invisible inv-23 elmo-mime mmelmo-buffer mmelmo-imap mmimap mmbuffer
mmgeneric mime-view mime-conf calist semi-def wl-address wl-util
wl-vars wl-version modb-generic elmo-flag elmo-localdir elmo
elmo-signal elmo-msgdb modb modb-entity elmo-date eword-encode
mime-parse mime elmo-util eword-decode mel mime-def alist pces
pces-e20 pces-20 mcs-e20 mcs-20 mcharset timezone elmo-vars path-util
elmo-version luna std11 pccl pccl-20 broken static apel-ver product
which-key wgrep typo typescript-mode time terraform-mode hcl-mode
super-save smart-shift simplenote2 simplenote2-list unicode-escape
uuidgen calc-misc calc-ext calc calc-loaddefs calc-macs shell-pop term
disp-table ehelp selectrum-prescient selectrum minibuf-eldef prescient
saveplace savehist salt-mode rst mmm-jinja2 mmm-auto mmm-vars
mmm-utils mmm-compat yaml-mode rspec-mode ruby-mode smie restclient
request-deferred deferred rbenv rainbow-delimiters pyvenv eshell
esh-cmd esh-ext esh-opt esh-proc esh-io esh-arg esh-module esh-groups
ps-print ps-print-loaddefs ps-def pomidor pocket-reader pocket-lib
rainbow-identifiers dotassoc kv pdf-occur tablist tablist-filter
semantic/wisent/comp semantic/wisent semantic/wisent/wisent
semantic/util-modes semantic/util semantic semantic/tag semantic/lex
semantic/fw mode-local cedet pdf-isearch pdf-misc pdf-tools pdf-view
jka-compr pdf-cache pdf-info tq pdf-util image-mode exif
password-store auth-source-pass paren pandoc-mode pandoc-mode-utils
ox-reveal org-web-tools esxml-query org-noter org-download org-attach
org-id org-cliplink org-cliplink-transport org-cliplink-string em-glob
esh-util org-chef org-chef-bbc-food org-chef-taste org-chef-wordpress
org-chef-xiachufang org-chef-saveur org-chef-nytimes
org-chef-steamy-kitchen org-chef-chef-koch org-chef-reluctant-gourmet
org-chef-serious-eats org-chef-marmiton org-chef-cultures-for-health
org-chef-martha-stewart org-chef-simply-recipes
org-chef-genius-kitchen org-chef-json-ld org-chef-all-recipes
org-chef-24kitchen org-chef-utils org-bullets olivetti minitest
magit-annex forge-list forge-commands forge-semi forge-bitbucket buck
forge-gogs gogs forge-gitea gtea forge-gitlab glab forge-github
ghub-graphql treepy gsexp ghub gnutls forge-notify forge-revnote
forge-pullreq forge-issue forge-topic bug-reference forge-post
forge-repo forge forge-core forge-db closql emacsql-sqlite emacsql
emacsql-compiler magit-bookmark magit-submodule magit-obsolete
magit-blame magit-stash magit-reflog magit-bisect magit-push
magit-pull magit-fetch magit-clone magit-remote magit-commit
magit-sequence magit-notes magit-worktree magit-tag magit-merge
magit-branch magit-reset magit-files magit-refs magit-status magit
magit-repos magit-apply magit-wip magit-log magit-diff smerge-mode
diff magit-core magit-autorevert magit-margin magit-transient
magit-process magit-mode git-commit magit-git magit-utils which-func
log-edit pcvs-util add-log with-editor server lsp-xml lsp-ui
lsp-ui-flycheck lsp-ui-doc goto-addr lsp-ui-imenu lsp-ui-peek
lsp-ui-sideline face-remap lsp-solargraph dap-java lsp-java request
autorevert dap-mouse dap-ui lsp-treemacs lsp-treemacs-themes treemacs
treemacs-header-line treemacs-compatibility treemacs-mode
treemacs-bookmarks treemacs-interface treemacs-extensions
treemacs-mouse-interface treemacs-tags treemacs-persistence
treemacs-filewatch-mode treemacs-follow-mode treemacs-rendering
treemacs-async treemacs-workspaces treemacs-dom treemacs-visuals
treemacs-fringe-indicator treemacs-scope pulse treemacs-faces
treemacs-icons treemacs-themes treemacs-core-utils pfuture
treemacs-logging treemacs-customization treemacs-macros gdb-mi gud bui
bui-list bui-info bui-entry bui-core bui-history bui-button bui-utils
cus-edit cus-start cus-load lsp-lens dap-mode dap-launch posframe
dap-overlays lsp-mode lsp-protocol yasnippet tree-widget spinner
network-stream markdown-mode inline filenotify ewoc lpr json-mode
json-reformat json-snatcher js cc-mode cc-fonts cc-guess cc-menus
cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs impatient-mode
simple-httpd hungry-delete hippie-exp helpful trace edebug backtrace
info-look help-fns radix-tree elisp-refs google-translate
google-translate-default-ui google-translate-core-ui color popup ido
google-translate-core google-translate-tk google-translate-backend
google-contacts url-cache google-oauth oauth2 plstore git-timemachine
git-link git-gutter-fringe fringe-helper git-gutter
git-auto-commit-mode gcmh format-all language-id flyspell ispell
flycheck-pos-tip pos-tip flycheck-package package-lint finder lisp-mnt
flycheck eww xdg mm-url gnus nnheader eradio emojify apropos tar-mode
arc-mode archive-mode elfeed-show elfeed-search wid-edit vc-git
diff-mode editorconfig-core editorconfig-core-handle
editorconfig-fnmatch message rfc822 mml mml-sec epa epg epg-config
gnus-util rmail rmail-loaddefs mailabbrev mail-utils gmm-utils
mailheader shr kinsoku svg dom elfeed-csv elfeed elfeed-curl
elfeed-log elfeed-db elfeed-lib url-queue xml-query editorconfig nvm
display-line-numbers dired-x ctrlf hl-line company-oddmuse
company-keywords company-etags etags fileloop company-gtags
company-dabbrev-code company-dabbrev company-files company-clang
company-capf company-cmake company-semantic company-template
company-bbdb company bufler projectile skeleton ibuf-macs find-dired
grep ibuf-ext ibuffer ibuffer-loaddefs pretty-hydra hydra lv
bufler-group-tree magit-section derived benchmark f vc vc-dispatcher
bazel-mode bazel-util xref project imenu flymake-proc flymake ffap
thingatpt compile bash-completion atomic-chrome websocket bindat
let-alist all-the-icons-dired all-the-icons all-the-icons-faces
data-material data-weathericons data-octicons data-fileicons
data-faicons data-alltheicons memoize alert log4e notifications dbus
gntp ace-link avy find-lisp dired dired-loaddefs org-ql-view transient
async-bytecomp async bookmark text-property-search pp ov
org-super-agenda org-ql peg ts s dash-functional org-habit org-agenda
org-refile comp comp-cstr crm htmlize excorporate-org excorporate
excorporate-calendar fsm soap-client mm-decode mm-bodies mm-encode
warnings rng-xsd xsd-regexp xml url-http-ntlm ntlm hmac-md5 hex-util
md4 url-http mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums
mail-prsvr url-gw nsm rmc puny ox-pandoc ht dash ox-org ob-octave
ob-python python tramp-sh tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat parse-time iso8601 ls-lisp
ob-shell shell ob-ledger edmacro kmacro ox-odt rng-loc rng-uri
rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns
nxml-enc xmltok nxml-util ox-latex ox-icalendar ox-html table ox-ascii
ox-publish ox org-element avl-tree generator org ob ob-tangle ob-ref
ob-lob ob-table ob-exp org-macro org-footnote org-src ob-comint
org-pcomplete pcomplete comint ansi-color ring org-list org-faces
org-entities time-date noutline outline org-version ob-emacs-lisp
ob-core ob-eval org-table ol org-keys org-compat org-macs org-loaddefs
format-spec find-func cal-menu calendar cal-loaddefs cl-extra
help-mode use-package use-package-ensure use-package-delight
use-package-diminish use-package-bind-key bind-key use-package-core
finder-inf tab-line rx easy-mmode url-auth info package easymenu
browse-url url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json subr-x map url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib advice iso-transl tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode
elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet
lao korean japanese eucjp-ms cp51932 hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese composite charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face pcase macroexp
files window text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
threads dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting cairo move-toolbar gtk x-toolkit x multi-tty
make-network-process nativecomp emacs)

Memory information:
((conses 16 1373199 868353)
 (symbols 48 99826 1070)
 (strings 32 401220 89200)
 (string-bytes 1 11851586)
 (vectors 16 148803)
 (vector-slots 8 4343978 749277)
 (floats 8 1318 1363)
 (intervals 56 4136 4255)
 (buffers 984 13))




Acknowledgement sent to Erik Hetzner <egh@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45812; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 20 Jan 2021 17:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.